<form method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_gallery_edit' slug=slug %}"
    {% else %}
        action="{% url 'profile:admin_gallery_create' %}"
    {% endif %}>

   
    {% csrf_token %}
    
    {% if edit %}
        <input type="hidden" name="{{ form.slug.name }}" id="{{ form.slug.id_for_label }}" value="{{ form.slug.value|stringformat:'s' }}">
    {% endif %}

    <!-- <div class="form-check-inline">
        <label for="">Jenis Galeri: </label>
    </div>
    <div class="form-check-inline">
        <label class="form-check-label">
            <input type="radio" name="jenis" class="form-check-input" id="form-radio-foto" value="foto" 
            {% if form.foto.value != '' and edit %}checked{% endif %} required>
            Foto
        </label>
    </div> -->
    <!-- <div class="form-check-inline">
        <label class="form-check-label">
            <input type="radio" name="jenis" class="form-check-input" id="form-radio-video" value="video" 
            {% if form.video.value != '' and edit %}checked{% endif %} required>
            Video
        </label>
    </div> -->

    <div class="form-group" id="form-input-foto">
        <label for="galeri">Foto</label>
        <input type="file" placeholder="Masukkan foto galeri..."
            class="form-control"
            name="foto"
            id="galeri" 
            {% if not edit %}required{% endif %} >
        <small id="passwordHelpBlock" class="form-text text-muted">
            {% if edit %}Kosongi apabila tidak ingin mengganti file.{% endif %}
        </small>
            <!-- {% if form_foto.foto.errors %}
                <div class="invalid-feedback">
                    {{ form_foto.foto.errors }}
                </div>
            {% endif %} -->
    </div>
    <!-- {{form_foto.x}}
    {{form_foto.y}}
    {{form_foto.width}}
    {{form_foto.height}} -->
    
    <!-- <div class="form-group {% if form.video.value != '' and edit %}  {% else %} d-none {% endif %}" id="form-input-video">
        <label for="{{ form.video.id_for_label }}">Video</label>
        <input type="text" placeholder="Masukkan link embed video..."
            class="form-control {% if form.video.errors %}is-invalid{% endif %}"
            name="{{ form.video.name }}"
            id="{{ form.video.id_for_label }}" 
            maxlength="{{ form.video.field.max_length }}"
            {% if form.video.value != None %}value="{{ form.video.value|stringformat:'s' }}"{% endif %}
            {% if form.video.field.required %}required{% endif %} >
        {% if form.video.errors %}
            <div class="invalid-feedback">
                {{ form.video.errors }}
            </div>
        {% endif %}
    </div> -->

    <!-- <div class="form-group">
        <label for="judul">Judul</label>
        <input type="text" placeholder="Masukkan judul galeri..."
            class="form-control"
            name="judul"
            id="judul" 
            maxlength="{{ form.title.field.max_length }}"
            value="{{ gallery.title }}"
            required>
    </div> -->

    <!-- <div class="form-group">
        <label for="keterangan">Keterangan</label>
        <textarea 
            class="form-control" 
            id="keterangan" 
            name="keterangan"
            required
            rows="5">{{ gallery.keterangan }}</textarea>
    </div> -->

    <!-- <div class="form-group">
        <div>Kategori Galeri&nbsp;&nbsp;|&nbsp;&nbsp;
            <label class="txt_cbx mb-2"><input type="checkbox" onclick="check_all(this, 'cek_cbx')"> Pilih Semua</label>
        </div>
        <div class="form-control ktk_cbx">
            {% for dt in cat %}
            <label class="txt_cbx">
                <input type="checkbox" name="categori"
                    class="cek_cbx" value="{{dt.id}}" {{dt.checked}}>&nbsp;{{dt.nama}}
            </label>&nbsp;&nbsp;
            {% endfor %}
        </div>
        <small id="passwordHelpBlock" class="form-text text-muted">
            Pilih satu kategori atau lebih.
        </small>
        {% if form.tags.errors %}
            <div class="invalid-feedback">
                {{ form.tags.errors }}
            </div>
        {% endif %}
    </div>

    <div class="form-group">
        <label for="{{ form.tags.id_for_label }}">Tags</label>
        <input type="text" placeholder="Masukkan tags galeri..."
            class="form-control {% if form.tags.errors %}is-invalid{% endif %}"
            name="{{ form.tags.name }}"
            id="{{ form.tags.id_for_label }}" 
            maxlength="{{ form.tags.field.max_length }}"
            {% if form.tags.value != None %}value="{{ tagsnya }}"{% endif %}
            {% if form.tags.field.required %}required{% endif %} >
        <small id="passwordHelpBlock" class="form-text text-muted">
            Tags dipisahkan dengan koma. Contoh: kaliurang, rizq_sanjaya, atv, trail.
        </small>
        {% if form.tags.errors %}
            <div class="invalid-feedback">
                {{ form.tags.errors }}
            </div>
        {% endif %}
    </div> -->
    
    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan</button>
</form>
